Subject: Re: bug#25107: Acknowledgement (Patches to clean up ispell.el)

From: Reuben Thomas <[email-masked]>
Date: Tue, 6 Dec 2016 21:58:15 +0000

On 6 December 2016 at 18:41, Eli Zaretskii <[email-masked]> wrote:

> > From: Reuben Thomas <[email-masked]>
> > Date: Tue, 6 Dec 2016 18:11:16 +0000
> > Cc: [email-masked]
> >
> >  Or let me ask this: why does ispell-version at all exist? Perhaps I'm
> >  confused about its purpose.
> >
> > ​My understanding is that it exists for reporting bugs in the
> combination of ispell.el and whatever spell checker
> > you are using. When ispell.el was distributed as third-party code, there
> were extra two useful pieces of
> > information: the version of the spell-checker program, and the version
> of ispell.el.
>
> Sorry, I goofed: I meant ispell-check-version, the command, when
> invoked interactively -- what is its purpose?  It sounds like you are
> saying it no longer has any purpose as a command, is that true?
>

​I goofed in a complementary way: I gave an answer about
ispell-check-version, whose purpose is now (as far as I can see) to give
the version of ​the spell-checker program (i.e. aspell, hunspell etc.) for
use in bug reports, or other diagnostic purposes.

-- 
http://rrt.sc3d.org